post
https://account.api.here.com/authentication/v1.1/apps//jwks
Register a new public JSON Web Key for the specified application. The key will be used to verify
JWT assertions presented by the client at the token endpoint (private_key_jwt authentication).
The request body must be a valid public JWK per RFC 7517. Private key parameters (d, p, q, dp, dq, qi)
SHOULD NOT be present.
The kid must be unique within the application's key set.
A maximum of two JWKs can be created per application.
Clients can register multiple keys simultaneously to support key rotation:
- Register new key (POST)
- Start signing assertions with new key
- Delete old key (DELETE)
Access Control:
- The calling principal must have "manage" or "write" action permission for the resource "{app}" in the "account" service.
- The calling principal MUST NOT include a project scope.
400- 400200 - Received invalid data. See 'errorFields' for more information.
- errorFields.errorCode 400201: Missing required field.
- errorFields.errorCode 400203: Invalid value.
- 400454 - Unsupported JWK 'alg'.
- 400455 - Unsupported JWK 'use'.
- 400456 - Unsupported JWK 'kty'.
- 400457 - Missing required JWK key material.
401- 401300 - Access is denied due to invalid credentials.
404- 404660 - No app exists with the given id.
409- 409109 - The supplied JWK 'kid' already exists in the application's key set.
- 409304 - Reached allowed maximum number of JWKs per application. Delete a JWK to register another one.
429- 429003 - Request blocked because of too many requests made. Wait for a while before making a new request.